org.apache.ignite.cache.query

## Class ScanQuery<K,V>

- java.lang.Object
- - org.apache.ignite.cache.query.Query<ScanQuery<K,V>>
  - - org.apache.ignite.cache.query.ScanQuery<K,V>

All Implemented Interfaces:
  Serializable

    public class ScanQuery<K,V>
    extends Query<ScanQuery<K,V>>

Scan query over cache entries. Will accept all the entries if no predicate was set.

See Also:
  `IgniteCache.query(Query)`, `IgniteCache.localQuery(Query)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScanQuery()` Create scan query returning all entries.
`ScanQuery(IgniteBiPredicate<K,V> filter)` Create scan query with filter.

### Method Summary

Methods
`IgniteBiPredicate<K,V>` `getFilter()` Gets filter.
`void` `setFilter(IgniteBiPredicate<K,V> filter)` Sets filter.
`String` `toString()`

### Methods inherited from class org.apache.ignite.cache.query.Query

`continuous, getPageSize, scan, setPageSize, spi, sql, sql, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScanQuery

    public ScanQuery()

Create scan query returning all entries.

#### ScanQuery

    public ScanQuery(@Nullable
             IgniteBiPredicate<K,V> filter)

Create scan query with filter.

Parameters:
  `filter` - Filter. If `null` then all entries will be returned.

### Method Detail

#### getFilter

    public IgniteBiPredicate<K,V> getFilter()

Gets filter.

Returns:
  Filter.

#### setFilter

    public void setFilter(@Nullable
                 IgniteBiPredicate<K,V> filter)

Sets filter.

Parameters:
  `filter` - Filter. If `null` then all entries will be returned.

#### toString

    public String toString()

Overrides:
  `toString` in class `Query<ScanQuery<K,V>>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015